import { withQuery } from "ufo";
export const useGithub = () => {
  const fetchRepository = (query) => {
    const url = withQuery("/api/_github/repository", query);
    return $fetch(url, { responseType: "json" });
  };
  const fetchRelease = (query) => {
    const url = withQuery("/api/_github/releases", query);
    return $fetch(url, { responseType: "json" });
  };
  const fetchLastRelease = (query) => {
    const url = withQuery("/api/_github/releases", { ...query, last: "true" });
    return $fetch(url, { responseType: "json" });
  };
  const fetchReleases = (query) => {
    const url = withQuery("/api/_github/releases", query);
    return $fetch(url, { responseType: "json" });
  };
  const fetchContributors = (query) => {
    const url = withQuery("/api/_github/contributors", query);
    return $fetch(url, { responseType: "json" });
  };
  const fetchFileContributors = (query) => {
    const url = withQuery("/api/_github/contributors/file", query);
    return $fetch(url, { responseType: "json" });
  };
  const fetchReadme = (query) => {
    const url = withQuery("/api/_github/readme", query);
    return $fetch(url, { responseType: "json" });
  };
  return {
    fetchRepository,
    fetchReleases,
    fetchRelease,
    fetchLastRelease,
    fetchContributors,
    fetchFileContributors,
    fetchReadme
  };
};
