import { useQuery } from "h3";
import { fetchRepository, overrideConfig } from "../utils/queries.mjs";
import * as imports from "#imports";
const moduleConfig = imports.useRuntimeConfig().github;
let handler;
if (process.env.NODE_ENV === "development" || moduleConfig.disableCache) {
  handler = imports.defineEventHandler;
} else {
  handler = imports.defineCachedEventHandler;
}
export default handler(
  async ({ req }) => {
    const query = useQuery(req);
    const githubConfig = overrideConfig(moduleConfig, query);
    return await fetchRepository(githubConfig);
  },
  {
    maxAge: 60
  }
);
